MongoCollection::deleteIndex
MongoCollection::distinct
MongoCollection
PHP Manual

# MongoCollection::deleteIndexes

(PECL mongo >=0.9.0)

MongoCollection::deleteIndexes — Delete all indices for this collection

### Description

public array MongoCollection::deleteIndexes ( void )

### Parameters

This function has no parameters.

### Return Values

Returns the database response.

### Examples

Example #1 MongoCollection::deleteIndexes() example

This example demonstrates how to delete all indexes from a collection and the response to expect.

`<?php
$collection = $mongo->my_db->articles;
$response = $collection->deleteIndexes();
print_r($response);
?>`

The above example will output something similar to:

    Array
    (
        [nIndexesWas] => 1
        [msg] => all indexes deleted for collection
        [ok] => 1
    )

### See Also

- MongoCollection::createIndex() - Creates an index on the specified field(s) if it does not already exist.
- MongoCollection::deleteIndex() - Deletes an index from this collection

MongoCollection::deleteIndex
MongoCollection::distinct
MongoCollection
PHP Manual